# norootforbuild

%if 0%{?!_without_lua:1} && 0%{?suse_version:1}0 && 0%{suse_version} < 920
%else
%define with_lua 1
%endif

Name:			weechat
Version:		0.3.3
Release:		0
Summary:		Portable, Fast, Light and Extensible IRC Client
Source:			http://www.weechat.org/files/src/weechat-%{version}.tar.bz2
Source1:		weechat.desktop
Patch1:			weechat-fix-strftime.patch
URL:			http://www.weechat.org
Group:			Productivity/Networking/IRC
License:		GNU General Public License (GPL)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	ncurses-devel perl python-devel cmake
BuildRequires:	ruby gcc gnutls gnutls-devel glibc-devel aspell-devel
BuildRequires:	libstdc++-devel gcc-c++
%if %{?with_lua:1}0
BuildRequires:	lua-devel
%endif
%if 0%{suse_version} >= 1000
BuildRequires:	ruby-devel
%endif
BuildRequires:  tcl-devel
BuildRequires:	lzo-devel libgpg-error libgcrypt
BuildRequires:	libgpg-error-devel libgcrypt-devel
BuildRequires:	autoconf automake libtool pkgconfig
%if 0%{?suse_version:1}
BuildRequires:	update-desktop-files
%if 0%{?suse_version} >= 1030
BuildRequires:  licenses
Requires:       licenses
%endif
%endif

%description
WeeChat (Wee Enhanced Environment for Chat) is a fast and light IRC client
for many operating systems. Everything can be done with a keyboard, and it
is customizable and extensible with scripts. Many GUIs are available (Curses,
GTK, and Qt). It is compliant with RFCs 1459, 2810, 2811, 2812, and 2813.

%package devel
Summary:		Development Environment for %{name} Plugins
Group:			Development/Libraries/C and C++
Requires:		%{name} = %{version}-%{release}

%description devel
Development environment for authoring %{name} plugins.

%if %{?with_lua:1}0
%package lua
Summary:		Lua Scripting Support for %{name}
Group:			Productivity/Networking/IRC
Requires:		%{name} = %{version}-%{release}

%description lua
Support for %{name} scripts written in the Lua language.
%endif

%package perl
Summary:		Perl Scripting Support for %{name}
Group:			Productivity/Networking/IRC
Requires:		%{name} = %{version}-%{release}

%description perl
Support for %{name} scripts written in the Perl language.

%package python
Summary:		Python Scripting Support for %{name}
Group:			Productivity/Networking/IRC
Requires:		%{name} = %{version}-%{release}

%description python
Support for %{name} scripts written in the Python language.

%package tcl
Summary:		Tcl Scripting Support for %{name}
Group:			Productivity/Networking/IRC
Requires:		%{name} = %{version}-%{release}

%description tcl
Support for %{name} scripts written in the Tcl language.

%package ruby
Summary:		Ruby Scripting Support for %{name}
Group:			Productivity/Networking/IRC
Requires:		%{name} = %{version}-%{release}

%description ruby
Support for %{name} scripts written in the Ruby language.

%package aspell
Summary:		Aspell Spell-Checking Support for %{name}
Group:			Productivity/Networking/IRC
Requires:		%{name} = %{version}-%{release}

%description aspell
Spell-checking support for %{name}, using the aspell library.

%prep
%setup -q
%patch1

%build
%__mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX="%{_prefix}" -DLIBDIR="%{_libdir}" VERBOSE=1 ..
%__make %{?jobs:-j%{jobs}}
popd #build

%install
pushd build
%makeinstall
popd #build

%__install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m 0644 weechat_icon_32.png "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
%if 0%{?suse_version}
%suse_update_desktop_file -r "%{name}" Network IRCClient
%endif

%find_lang "%{name}"

h=/usr/share/doc/licenses/md5/$(md5sum COPYING|cut -f1 -d" ")
test -e "$h" && %__ln_s -f "$h" COPYING

%clean
%__rm -rf "%{buildroot}"

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/weechat-curses
%dir %{_libdir}/weechat
%dir %{_libdir}/weechat/plugins
%{_libdir}/weechat/plugins/alias.so
%{_libdir}/weechat/plugins/charset.so
%{_libdir}/weechat/plugins/fifo.so
%{_libdir}/weechat/plugins/irc.so
%{_libdir}/weechat/plugins/logger.so
%{_libdir}/weechat/plugins/xfer.so
%doc %{_mandir}/man1/weechat-curses.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files devel
%defattr(-,root,root)
%{_includedir}/weechat
%{_libdir}/pkgconfig/weechat.pc

%if %{?with_lua:1}0
%files lua
%defattr(-,root,root)
%{_libdir}/weechat/plugins/lua.so
%endif

%files perl
%defattr(-,root,root)
%{_libdir}/weechat/plugins/perl.so

%files python
%defattr(-,root,root)
%{_libdir}/weechat/plugins/python.so

%files tcl
%defattr(-,root,root)
%{_libdir}/weechat/plugins/tcl.so

%files ruby
%defattr(-,root,root)
%{_libdir}/weechat/plugins/ruby.so

%files aspell
%defattr(-,root,root)
%{_libdir}/weechat/plugins/aspell.so

%changelog

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
